Commit 74d97481 authored by Tim-Philipp Müller's avatar Tim-Philipp Müller

meson: make C++ compiler optional

It's only used to check our headers are C++ clean and
for the Qt example.
parent dfa548dc
project('gst-plugins-base', 'c', 'cpp',
project('gst-plugins-base', 'c',
version : '1.13.0.1',
meson_version : '>= 0.36.0',
default_options : [ 'warning_level=1',
......@@ -15,6 +15,8 @@ else
gst_version_nano = 0
endif
have_cxx = add_languages('cpp', required : false)
glib_req = '>= 2.40.0'
orc_req = '>= 0.4.24'
gst_req = '>= @0@.@1@.0'.format(gst_version_major, gst_version_minor)
......
......@@ -64,9 +64,15 @@ base_tests = [
[ 'pipelines/theoraenc.c', not theoraenc_dep.found(), [ theoraenc_dep ] ],
[ 'pipelines/vorbisenc.c', not vorbisenc_dep.found() ],
[ 'pipelines/vorbisdec.c', not vorbisenc_dep.found(),],
[ 'libs/gstlibscpp.cc', false, [ ] ],
]
# Make sure our headers are C++ clean
if add_languages('cpp', required : false)
base_tests += [
[ 'libs/gstlibscpp.cc', false, [ ] ],
]
endif
# FIXME: enable orc testing
#orc_tests = [
# 'orc/video',
......
......@@ -7,7 +7,7 @@ if x11_dep.found() # FIXME: originally if USE_X
install: false)
endif
if add_languages('cpp') # check for C++ support
if have_cxx # check for C++ support
qt5_mod = import('qt5')
qt5widgets_dep = dependency('qt5', modules : ['Gui', 'Widgets'], required: false)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment